Skip to main content
GET
List decisions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string
required

Tenant ID

Example:

"105fa115-52d0-4466-baff-740447a60774"

ids
string[]

Comma separated Decision IDs

Example:

null

status
enum<string>[]

Comma separated Decision Status values

Available options:
DRAFT,
PUBLISHED,
ARCHIVED,
DELETED

Decision search string

Example:

"Investmen"

section
string[]

Comma separated Section IDs

Example:

null

category
string[]

Comma separated Category IDs

Example:

null

sortBy
enum<string>

Criteria for sorting Decisions

Available options:
name,
sectionName,
categoryName,
status,
updatedAt,
createdAt,
delegationsCount,
authorityLimitSortPrecedence,
decisionDisplayId,
rank
sortOrder
enum<string>

Order for sorting Decisions

Available options:
asc,
desc
groupIds
string[]

Comma separated Group IDs

Example:

null

delegable
boolean

Delegable filter

Example:

true

delegations
boolean

Delegations filter

Example:

true

authorityTypeIds
string[]

Comma separated Authority Type IDs

Example:

null

authorityLimitValueTypes
enum<string>[]

Comma separated Decision Authority Value Types

Available options:
Currency,
Number,
Days,
Months,
Years,
Authorized,
Percentage
authorityLimitValueFilters
object[]

Authority Limit Value Filters

select
enum<string>[]

Comma separated specific Decision fields needed in response

Available options:
DECISION_ID,
NAME,
DECISION_DISPLAY_ID,
DESCRIPTION,
GUIDANCE,
SECTION_ID,
SECTION_NAME,
CATEGORY_ID,
CATEGORY_NAME,
STATUS,
PREVIOUS_STATUS,
CREATED_BY,
CREATED_BY_USERNAME,
UPDATED_BY,
UPDATED_BY_USERNAME,
CREATED_AT,
UPDATED_AT,
OWNER,
OWNER_USERNAME,
COPIED_FROM,
CONDITION_ENABLED,
ROLE_ENABLED,
DELEGABLE,
DELEGATION_PATHWAY,
LINK,
DELEGATIONS_COUNT,
AUTHORITY_LIMIT_SORT_PRECEDENCE,
DECISION_AUTHORITIES,
DECISION_GROUPS,
DECISION_DOCUMENTS
issuerType
object

Delegation issuer type

owner
string[]

Comma separated User IDs for Owner filter

Example:

null

createdStartDate
string

Start date time for date range filter on decision created at

Example:

"2025-03-05T11:49:50.577Z"

createdEndDate
string

End date time for date range filter on decision created at

Example:

"2025-03-05T11:49:50.577Z"

updatedStartDate
string

Start date time for date range filter on decision updated at

Example:

"2025-03-05T11:49:50.577Z"

updatedEndDate
string

End date time for date range filter on decision updated at

Example:

"2025-03-05T11:49:50.577Z"

Response

200 - application/json

Decisions list retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:33:50.975Z"

message
string
required
Example:

"Success"

data
object